Get a safe file download URL
curl --request GET \
--url https://api.cloud.wherobots.com/storage/{storage_id}/file-download-url/{path} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.wherobots.com/storage/{storage_id}/file-download-url/{path}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.wherobots.com/storage/{storage_id}/file-download-url/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cloud.wherobots.com/storage/{storage_id}/file-download-url/{path}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cloud.wherobots.com/storage/{storage_id}/file-download-url/{path}")
.header("Authorization", "Bearer <token>")
.asString();{
"downloadUrl": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}storage
Get a safe file download URL
Authenticate to obtain downloadUrl, then GET that URL without X-API-Key, Authorization, or other platform credentials. The response is not cacheable. The URL expires at expiresAt (or earlier if its storage credentials expire).
GET
/
storage
/
{storage_id}
/
file-download-url
/
{path}
Get a safe file download URL
curl --request GET \
--url https://api.cloud.wherobots.com/storage/{storage_id}/file-download-url/{path} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.wherobots.com/storage/{storage_id}/file-download-url/{path}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.wherobots.com/storage/{storage_id}/file-download-url/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cloud.wherobots.com/storage/{storage_id}/file-download-url/{path}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cloud.wherobots.com/storage/{storage_id}/file-download-url/{path}")
.header("Authorization", "Bearer <token>")
.asString();{
"downloadUrl": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}Authorizations
bearerTokenwherobotsApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?

